Package Details: aseprite 1.2.25-1

Git Clone URL: https://aur.archlinux.org/aseprite.git (read-only, click to copy)
Package Base: aseprite
Description: Create animated sprites and pixel art
Upstream URL: http://www.aseprite.org/
Keywords: animation art editor gamedev image pixel sprites
Licenses: custom
Conflicts: aseprite-git, aseprite-gpl, skia-git
Submitter: benob
Maintainer: fbrennan (abueide, rouhannb)
Last Packager: rouhannb
Votes: 77
Popularity: 1.43
First Submitted: 2011-11-01 17:40
Last Updated: 2020-08-22 17:34

Required by (1)

Sources (34)

Pinned Comments

rouhannb commented on 2020-04-01 04:31

I decided to try it out for myself, and the same thing is happening to me. I’m not really sure why it’s happening, but my guess is that it has something to do with makepkg. I’ve tried building the AUR package depot-tools-git and I ran into the same problem, but cloning the repository by hand works fine.

I’ll just leave this pinned until the problem goes away: if the package is hanging when downloading depot_tools, run git clone --bare https://chromium.googlesource.com/chromium/tools/depot_tools.git depot_tools and rerun makepkg.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

warmwaffles commented on 2019-06-28 13:43

Any way we can get a bump to version 1.2.12?

belara commented on 2019-06-15 19:08

Would be great if abueide would push his update.

fbrennan commented on 2019-05-22 03:12

I've added abueide as a co-maintainer. They can now push their work on https://github.com/abueide/aur-aseprite/blob/master/PKGBUILD to this AUR package.

phunni commented on 2019-05-15 13:31

Latest version of cmark is 0.29, but this package seems to be looking for 0.28 and, therefore, it won't load.

Edit: a reinstall seems to fix it.

fbrennan commented on 2018-12-27 03:16

I suppose when it comes out I'll just have to create a skia-bin or skia package. :-)

Not sure what you mean by compiling it being a monumental task. Do you mean Skia is fiddly to compile? If so not to worry, I maintain many packages that are long past their prime and have difficult compilations. If you mean it requires a fast PC, I can't help you there.

iirelu commented on 2018-12-18 16:47

The upcoming 1.2.10 release of aseprite is going to start depending on skia. How is that going to be resolved here? As far as I can tell, there aren't any prepackaged skia binaries anywhere, and compiling it is a monumental task. My computer can't even handle building skia-git.

scippie75 commented on 2018-10-19 11:49

After doing all steps without errors and no important warnings, after tidying, checking for issues, creating package, leaving fakeroot, finishing making, it comes to the Installing package step and give me: WARNING: Failed to install built package(s).

Can someone help me (or tell me what extra info I should add to this comment)?

EDIT: Was able to install it with yay (never needed an aur manager before), so I guess something is missing but is not checked for?

bb010g commented on 2018-09-27 03:22

This has a dependency on libx11 that is not listed.

Rubonnek commented on 2018-08-14 00:11

@godofgrunts Thank you for reporting it. The issue should now be fixed.

godofgrunts commented on 2018-08-10 17:35

Using aurman, my package has failed to build.

[ 52%] Building CXX object src/gen/CMakeFiles/gen.dir/ui_class.cpp.o [ 52%] Building C object third_party/libarchive/tar/CMakeFiles/bsdtar.dir/__/libarchive_fe/passphrase.c.o [ 52%] Linking C executable ../../../bin/bsdtar [ 52%] Built target bsdtar [ 52%] Linking CXX executable ../../bin/gen [ 52%] Built target gen make: *** [Makefile:141: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... 2018-08-10 13:30:11,669 - wrappers - makepkg - ERROR - makepkg query ['makepkg', '-cf', '--noconfirm'] failed in directory /home/godofgrunts/.cache/aurman/aseprite ~~ the following packages are now orphans :: community/cmark